Create invitation (Admin+)
POST
/tenants/me/invitations
Creates an invitation for a new member to join the tenant. The invitation is sent via email and includes a unique token. Only admins and owners can create invitations. You cannot invite with a role higher than your own, and you cannot invite as owner.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Invitation details
Request to create an invitation.
object
email
required
Email address to invite.
string
role
Role to assign (defaults to member).
string | null
Example
{ "role": "member"}Responses
Section titled “ Responses ”Invitation created
Response for an invitation.
object
created_at
required
string format: date-time
email
required
string
expires_at
required
string format: date-time
id
required
string format: uuid
invite_url
required
string
role
required
string
token
required
string
Example
{ "created_at": "2025-01-15T10:30:00Z", "expires_at": "2025-01-22T10:30:00Z", "id": "660e8400-e29b-41d4-a716-446655440001", "invite_url": "https://primatomic.com/accept-invite?token=abc123def456", "role": "member", "token": "abc123def456"}Invalid role or cannot invite as owner
Unauthorized
Forbidden — insufficient role or API key used
Server error